package com.prolog.cs.biz.inbound.dto.failure;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 异常行查询返回对象
 * 
 * @author Xiong
 *
 */
@ApiModel
public class ExceptionLineQueryDTO implements Serializable {
	private static final long serialVersionUID = -8561471807254448334L;

	@ApiModelProperty(value = "行号")
	private BigDecimal lineNum;

	@ApiModelProperty(value = "容器编码")
	private String containerCode;

	@ApiModelProperty(value = "货格编码")
	private String goodsCaseCode;

	@ApiModelProperty(value = "旧批号ID")
	private String batchIdOld;

	@ApiModelProperty(value = "旧批号编码")
	private String batchNumOld;

	@ApiModelProperty(value = "旧生产日期")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date productionDateOld;

	@ApiModelProperty(value = "旧有效期至")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date expiredDateOld;

	@ApiModelProperty(value = "旧供应商批次号")
	private String vendorBatchNumOld;

	@ApiModelProperty(value = "旧生产商批号")
	private String manufacturerLotNumOld;

	@ApiModelProperty(value = "新批号")
	private String batchIdNew;

	@ApiModelProperty(value = "新批号编码")
	private String batchNumNew;

	@ApiModelProperty(value = "新生产日期")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date productionDateNew;

	@ApiModelProperty(value = "新有效期至")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date expiredDateNew;

	@ApiModelProperty(value = "新供应商批次号")
	private String vendorBatchNumNew;

	@ApiModelProperty(value = "新生产商批号")
	private String manufacturerLotNumNew;

	@ApiModelProperty(value = "旧数量")
	private BigDecimal qtyOld;

	@ApiModelProperty(value = "新数量")
	private BigDecimal qtyNew;

	@ApiModelProperty(value = "包装单位")
	private String uom;

	@ApiModelProperty(value = "包装单位类型(2019/2020)新老包装")
	private String uomType;

	@ApiModelProperty(value = "包装含量")
	private BigDecimal conversionRate;

	@ApiModelProperty(value = "旧数量(最小单位)")
	private BigDecimal pieceQtyOld;

	@ApiModelProperty(value = "新数量（最小单位）")
	private BigDecimal pieceQtyNew;

	@ApiModelProperty(value = "执行者（异常处理人）")
	private String executorUser;

	@ApiModelProperty(value = "操作时间")
	private Date executorDate;

	@ApiModelProperty(value = "错误发现节点（10收货错误/20质检错误/30复检错误/40上架错误）")
	private String nodeType;

	@ApiModelProperty(value = "错误节点的任务id(隐藏字段)", position = 1)
	private String nodeTaskId;

	@ApiModelProperty(value = "来源单类型(隐藏字段)", position = 1)
	private String srcBillType;

	@ApiModelProperty(value = "任务id(隐藏字段)", position = 1)
	private String taskExceptionId;

	@ApiModelProperty(value = "错误行ID(主键雪花id)(隐藏字段)", position = 1)
	private String exceptionLineId;

	@ApiModelProperty(value = "错误单头ID(隐藏字段)", position = 1)
	private String exceptionHeaderId;

	@ApiModelProperty(value = "收货单行ID(隐藏字段)", position = 1)
	private String rcvLineId;

	@ApiModelProperty(value = "收货单头ID(隐藏字段)", position = 1)
	private String rcvHeaderId;

	@ApiModelProperty(value = "来源单头ID(PO/XT/YC)(隐藏字段)", position = 1)
	private String srcHeaderId;

	@ApiModelProperty(value = "来源单ID(隐藏字段)", position = 1)
	private String srcLineId;

	@ApiModelProperty(value = "ASN行ID(隐藏字段)", position = 1)
	private String asnHeaderId;

	@ApiModelProperty(value = "ASN行ID(隐藏字段)", position = 1)
	private String asnLineId;

	@ApiModelProperty(value = "货主ID(隐藏字段)", position = 1)
	private String mtlOwnerId;

	@ApiModelProperty(value = "仓库ID(隐藏字段)", position = 1)
	private String warehouseId;

	@ApiModelProperty(value = "商品ID(隐藏字段)", position = 1)
	private String itemId;

	@ApiModelProperty(value = "状态(0已处理1未处理-默认)(隐藏字段)", position = 1)
	private String status;

	// ----------------额外关联字段----------------------------------------------------------------------
	@ApiModelProperty(value = "商品条码(列表展示用)", position = 2)
	private String itemBarcode;
	@ApiModelProperty(value = "商品体积(列表展示用)", position = 2)
	private BigDecimal itemVolume;
	@ApiModelProperty(value = "商品重量(列表展示用)", position = 2)
	private BigDecimal itemWeight;
	@ApiModelProperty(value = "仓库名称(列表展示用)", position = 2)
	private String warehouseName;
	@ApiModelProperty(value = "库区名称(列表展示用)", position = 2)
	private String warehouseAreaName;
	@ApiModelProperty(value = "商品编码(列表展示用)", position = 2)
	private String itemNum;
	@ApiModelProperty(value = "商品名称(列表展示用)", position = 2)
	private String itemName;
	@ApiModelProperty(value = "商品分类名(列表展示用)", position = 2)
	private String categoryName;
	@ApiModelProperty(value = "商品助记码(展示)", position = -3)
	private String itemZjm;
	@ApiModelProperty(value = "商品批准文号(展示)", position = -3)
	private String approvalNumber;
	@ApiModelProperty(value = "商品产地(展示)", position = -3)
	private String productionPlace;
	@ApiModelProperty(value = "生产厂家名称(展示)", position = -3)
	private String manufacturerName;
	@ApiModelProperty(value = "注册证号(展示)", position = -3)
	private String itemHealthRegisterNbr;

	public String getItemZjm() {
		return itemZjm;
	}

	public void setItemZjm(String itemZjm) {
		this.itemZjm = itemZjm;
	}

	public String getApprovalNumber() {
		return approvalNumber;
	}

	public void setApprovalNumber(String approvalNumber) {
		this.approvalNumber = approvalNumber;
	}

	public String getProductionPlace() {
		return productionPlace;
	}

	public void setProductionPlace(String productionPlace) {
		this.productionPlace = productionPlace;
	}

	public String getManufacturerName() {
		return manufacturerName;
	}

	public void setManufacturerName(String manufacturerName) {
		this.manufacturerName = manufacturerName;
	}

	public String getItemHealthRegisterNbr() {
		return itemHealthRegisterNbr;
	}

	public void setItemHealthRegisterNbr(String itemHealthRegisterNbr) {
		this.itemHealthRegisterNbr = itemHealthRegisterNbr;
	}

	public BigDecimal getLineNum() {
		return lineNum;
	}

	public void setLineNum(BigDecimal lineNum) {
		this.lineNum = lineNum;
	}

	public String getContainerCode() {
		return containerCode;
	}

	public void setContainerCode(String containerCode) {
		this.containerCode = containerCode;
	}

	public String getGoodsCaseCode() {
		return goodsCaseCode;
	}

	public void setGoodsCaseCode(String goodsCaseCode) {
		this.goodsCaseCode = goodsCaseCode;
	}

	public String getBatchIdOld() {
		return batchIdOld;
	}

	public void setBatchIdOld(String batchIdOld) {
		this.batchIdOld = batchIdOld;
	}

	public String getBatchNumOld() {
		return batchNumOld;
	}

	public void setBatchNumOld(String batchNumOld) {
		this.batchNumOld = batchNumOld;
	}

	public Date getProductionDateOld() {
		return productionDateOld;
	}

	public void setProductionDateOld(Date productionDateOld) {
		this.productionDateOld = productionDateOld;
	}

	public Date getExpiredDateOld() {
		return expiredDateOld;
	}

	public void setExpiredDateOld(Date expiredDateOld) {
		this.expiredDateOld = expiredDateOld;
	}

	public String getVendorBatchNumOld() {
		return vendorBatchNumOld;
	}

	public void setVendorBatchNumOld(String vendorBatchNumOld) {
		this.vendorBatchNumOld = vendorBatchNumOld;
	}

	public String getManufacturerLotNumOld() {
		return manufacturerLotNumOld;
	}

	public void setManufacturerLotNumOld(String manufacturerLotNumOld) {
		this.manufacturerLotNumOld = manufacturerLotNumOld;
	}

	public String getBatchIdNew() {
		return batchIdNew;
	}

	public void setBatchIdNew(String batchIdNew) {
		this.batchIdNew = batchIdNew;
	}

	public String getBatchNumNew() {
		return batchNumNew;
	}

	public void setBatchNumNew(String batchNumNew) {
		this.batchNumNew = batchNumNew;
	}

	public Date getProductionDateNew() {
		return productionDateNew;
	}

	public void setProductionDateNew(Date productionDateNew) {
		this.productionDateNew = productionDateNew;
	}

	public Date getExpiredDateNew() {
		return expiredDateNew;
	}

	public void setExpiredDateNew(Date expiredDateNew) {
		this.expiredDateNew = expiredDateNew;
	}

	public String getVendorBatchNumNew() {
		return vendorBatchNumNew;
	}

	public void setVendorBatchNumNew(String vendorBatchNumNew) {
		this.vendorBatchNumNew = vendorBatchNumNew;
	}

	public String getManufacturerLotNumNew() {
		return manufacturerLotNumNew;
	}

	public void setManufacturerLotNumNew(String manufacturerLotNumNew) {
		this.manufacturerLotNumNew = manufacturerLotNumNew;
	}

	public BigDecimal getQtyOld() {
		return qtyOld;
	}

	public void setQtyOld(BigDecimal qtyOld) {
		this.qtyOld = qtyOld;
	}

	public BigDecimal getQtyNew() {
		return qtyNew;
	}

	public void setQtyNew(BigDecimal qtyNew) {
		this.qtyNew = qtyNew;
	}

	public String getUom() {
		return uom;
	}

	public void setUom(String uom) {
		this.uom = uom;
	}

	public String getUomType() {
		return uomType;
	}

	public void setUomType(String uomType) {
		this.uomType = uomType;
	}

	public BigDecimal getConversionRate() {
		return conversionRate;
	}

	public void setConversionRate(BigDecimal conversionRate) {
		this.conversionRate = conversionRate;
	}

	public BigDecimal getPieceQtyOld() {
		return pieceQtyOld;
	}

	public void setPieceQtyOld(BigDecimal pieceQtyOld) {
		this.pieceQtyOld = pieceQtyOld;
	}

	public BigDecimal getPieceQtyNew() {
		return pieceQtyNew;
	}

	public void setPieceQtyNew(BigDecimal pieceQtyNew) {
		this.pieceQtyNew = pieceQtyNew;
	}

	public String getExecutorUser() {
		return executorUser;
	}

	public void setExecutorUser(String executorUser) {
		this.executorUser = executorUser;
	}

	public Date getExecutorDate() {
		return executorDate;
	}

	public void setExecutorDate(Date executorDate) {
		this.executorDate = executorDate;
	}

	public String getNodeType() {
		return nodeType;
	}

	public void setNodeType(String nodeType) {
		this.nodeType = nodeType;
	}

	public String getNodeTaskId() {
		return nodeTaskId;
	}

	public void setNodeTaskId(String nodeTaskId) {
		this.nodeTaskId = nodeTaskId;
	}

	public String getSrcBillType() {
		return srcBillType;
	}

	public void setSrcBillType(String srcBillType) {
		this.srcBillType = srcBillType;
	}

	public String getTaskExceptionId() {
		return taskExceptionId;
	}

	public void setTaskExceptionId(String taskExceptionId) {
		this.taskExceptionId = taskExceptionId;
	}

	public String getExceptionLineId() {
		return exceptionLineId;
	}

	public void setExceptionLineId(String exceptionLineId) {
		this.exceptionLineId = exceptionLineId;
	}

	public String getExceptionHeaderId() {
		return exceptionHeaderId;
	}

	public void setExceptionHeaderId(String exceptionHeaderId) {
		this.exceptionHeaderId = exceptionHeaderId;
	}

	public String getRcvLineId() {
		return rcvLineId;
	}

	public void setRcvLineId(String rcvLineId) {
		this.rcvLineId = rcvLineId;
	}

	public String getRcvHeaderId() {
		return rcvHeaderId;
	}

	public void setRcvHeaderId(String rcvHeaderId) {
		this.rcvHeaderId = rcvHeaderId;
	}

	public String getSrcHeaderId() {
		return srcHeaderId;
	}

	public void setSrcHeaderId(String srcHeaderId) {
		this.srcHeaderId = srcHeaderId;
	}

	public String getSrcLineId() {
		return srcLineId;
	}

	public void setSrcLineId(String srcLineId) {
		this.srcLineId = srcLineId;
	}

	public String getAsnHeaderId() {
		return asnHeaderId;
	}

	public void setAsnHeaderId(String asnHeaderId) {
		this.asnHeaderId = asnHeaderId;
	}

	public String getAsnLineId() {
		return asnLineId;
	}

	public void setAsnLineId(String asnLineId) {
		this.asnLineId = asnLineId;
	}

	public String getMtlOwnerId() {
		return mtlOwnerId;
	}

	public void setMtlOwnerId(String mtlOwnerId) {
		this.mtlOwnerId = mtlOwnerId;
	}

	public String getWarehouseId() {
		return warehouseId;
	}

	public void setWarehouseId(String warehouseId) {
		this.warehouseId = warehouseId;
	}

	public String getItemId() {
		return itemId;
	}

	public void setItemId(String itemId) {
		this.itemId = itemId;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getItemBarcode() {
		return itemBarcode;
	}

	public void setItemBarcode(String itemBarcode) {
		this.itemBarcode = itemBarcode;
	}

	public BigDecimal getItemVolume() {
		return itemVolume;
	}

	public void setItemVolume(BigDecimal itemVolume) {
		this.itemVolume = itemVolume;
	}

	public BigDecimal getItemWeight() {
		return itemWeight;
	}

	public void setItemWeight(BigDecimal itemWeight) {
		this.itemWeight = itemWeight;
	}

	public String getWarehouseName() {
		return warehouseName;
	}

	public void setWarehouseName(String warehouseName) {
		this.warehouseName = warehouseName;
	}

	public String getWarehouseAreaName() {
		return warehouseAreaName;
	}

	public void setWarehouseAreaName(String warehouseAreaName) {
		this.warehouseAreaName = warehouseAreaName;
	}

	public String getItemNum() {
		return itemNum;
	}

	public void setItemNum(String itemNum) {
		this.itemNum = itemNum;
	}

	public String getItemName() {
		return itemName;
	}

	public void setItemName(String itemName) {
		this.itemName = itemName;
	}

	public String getCategoryName() {
		return categoryName;
	}

	public void setCategoryName(String categoryName) {
		this.categoryName = categoryName;
	}

}
